function BiometriaControl()
{
	this.Width;
	this.Height;
	this.BioId;
	this.BioLinkSucesso;
	this.BioLinkFalhou;
	this.BioTipo;
	this.BioGetVerificar;
	this.BioSetRegistrar;
	this.BioJar;

	// Databinding for property BioId
	this.SetBioId = function(data)
	{
		///UserCodeRegionStart:[SetBioId] (do not remove this comment.)

		this.BioId = data;

		///UserCodeRegionEnd: (do not remove this comment.)
	}

	// Databinding for property BioId
	this.GetBioId = function()
	{
		///UserCodeRegionStart:[GetBioId] (do not remove this comment.)

		return this.BioId;
			
		///UserCodeRegionEnd: (do not remove this comment.)
	}

	this.show = function()
	{
		///UserCodeRegionStart:[show] (do not remove this comment.)


			var buffer = '';
			var url = window.location;
			url = url.toString();
			var posicao = url.lastIndexOf("/");
			url = url.substr(0,posicao) + '/';
			
			/*Definindo Caminhos*/
			var BioJar = this.BioJar;
			var BioGetVerificar = this.BioGetVerificar;
			var BioSetRegistrar = this.BioSetRegistrar;
			
			
			if(BioJar.lastIndexOf("tp:/") < 0)
				BioJar = url+"biometriaControl/biometria/jar/biometria-applet_2.jar";
			if(BioGetVerificar.lastIndexOf("tp:/") < 0)
				BioGetVerificar =  url + this.BioGetVerificar;
			if(BioSetRegistrar.lastIndexOf("tp:/") < 0)
				BioSetRegistrar =  url + this.BioSetRegistrar;

			
			/*Verificar Biometria*/
			if(this.BioTipo=="1"){
			buffer = "<applet code='br.com.abaco.biometria.applet.VerifyFinger.class' archive='"+BioJar+"' width='320' height='295'>";
			buffer += "   <param name='liguagem' value='" + this.getGenerator() + "'/>";
			buffer += "   <param name='url' value='" + url+"biometriacontrol/biometria/html/verify.html'/>";
            buffer += "   <param name='urlSub' value='" + BioGetVerificar + "'/>";
            buffer += "   <param name='card' value='"+ this.GetBioId() +"'/>"; 
            buffer += "   <param name='success' value='"+this.BioLinkSucesso+"'/>";
            buffer += "   <param name='fail' value='"+this.BioLinkFalhou+"'/>";
            buffer += "</applet>";
			}
			
			/*Registrar Biometria*/
			else {
   			buffer = "<applet code='br.com.abaco.biometria.applet.Register.class' archive='"+BioJar+"' width='320' height='295'>";
			buffer += "   <param name='liguagem' value='" + this.getGenerator() + "'/>";
			buffer += "   <param name='url' value='" + url+"biometriacontrol/biometria/html/register.html'/>";
            buffer += "   <param name='urlSub' value='" + BioSetRegistrar + "'/>";
            buffer += "   <param name='Id' value='"+this.GetBioId() +"'/>";
            buffer += "   <param name='success' value='"+this.BioLinkSucesso+"'/>";
            buffer += "   <param name='fail' value='"+this.BioLinkFalhou+"'/>";
            buffer += "</applet>";
		   }

			this.setHtml(buffer);
		

		
		
		///UserCodeRegionEnd: (do not remove this comment.)
	}
	///UserCodeRegionStart:[User Functions] (do not remove this comment.)
    this.getGenerator = function() {
        var gen;
        if (gx.gen.isDotNet())
            gen = "c#";
        else if (gx.gen.ruby)
            gen = "ruby";
        else
            gen = "java";
        return gen;
    }

	
	
	
	
	
	///UserCodeRegionEnd: (do not remove this comment.):
}
